--
-- WoodHarvesterTreeInfo for FS17
-- Show info about tree when cutting with woodharvester. Also shows statistics about cutted trees.
-- @author:    	kenny456 (kenny456@seznam.cz)
-- @history:	v1.1 - 2018-07-03 - 
-- 

WoodHarvesterTreeInfo_register = {};
if SpecializationUtil.specializations["WoodHarvesterTreeInfo"] == nil then
	SpecializationUtil.registerSpecialization("WoodHarvesterTreeInfo", "WoodHarvesterTreeInfo", g_currentModDirectory.."WoodHarvesterTreeInfo.lua");
	WoodHarvesterTreeInfo_register.isLoaded = false; 
end;

function WoodHarvesterTreeInfo_register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		print("WoodHarvesterTreeInfo mod loaded")
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and vs == SpecializationUtil.getSpecialization("woodHarvester") then
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							if rawget(SpecializationUtil.specializations, string.format("%s.WoodHarvesterTreeInfo", _name)) ~= nil then
								allowInsertion = false;								
							end;							
						end;
						if allowInsertion then
							table.insert(v.specializations, SpecializationUtil.getSpecialization("WoodHarvesterTreeInfo"));
							allowInsertion = false;
						end;
					end;
				end;
			end;	
		end;
	end;
end;
function WoodHarvesterTreeInfo_register:deleteMap()
end;
function WoodHarvesterTreeInfo_register:keyEvent(unicode, sym, modifier, isDown)
end;
function WoodHarvesterTreeInfo_register:mouseEvent(posX, posY, isDown, isUp, button)
end;
function WoodHarvesterTreeInfo_register:update(dt)
end;
function WoodHarvesterTreeInfo_register:draw()
end;

addModEventListener(WoodHarvesterTreeInfo_register);
